summaryrefslogtreecommitdiff
path: root/net-libs/xrootd/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
commit4f2d7949f03e1c198bc888f2d05f421d35c57e21 (patch)
treeba5f07bf3f9d22d82e54a462313f5d244036c768 /net-libs/xrootd/files
reinit the tree, so we can have metadata
Diffstat (limited to 'net-libs/xrootd/files')
-rw-r--r--net-libs/xrootd/files/cmsd.initd34
-rw-r--r--net-libs/xrootd/files/frm_purged.initd34
-rw-r--r--net-libs/xrootd/files/frm_xfrd.initd34
-rw-r--r--net-libs/xrootd/files/xrootd-no-werror.patch11
-rw-r--r--net-libs/xrootd/files/xrootd.confd21
-rw-r--r--net-libs/xrootd/files/xrootd.initd32
6 files changed, 166 insertions, 0 deletions
diff --git a/net-libs/xrootd/files/cmsd.initd b/net-libs/xrootd/files/cmsd.initd
new file mode 100644
index 000000000000..9a2f9e292b64
--- /dev/null
+++ b/net-libs/xrootd/files/cmsd.initd
@@ -0,0 +1,34 @@
+#!/sbin/openrc-run
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+. /etc/conf.d/xrootd
+
+depend() {
+ need net
+ use logger dns
+ provide root-file-server
+}
+
+start_pre() {
+ checkpath -q -d -m 0755 -o xrootd:xrootd /var/run/spool
+ checkpath -q -d -m 0755 -o xrootd:xrootd /var/run/xrootd
+}
+
+start() {
+ ebegin "Starting Cluster Management Service daemon"
+ start-stop-daemon --start --quiet --user ${XROOTD_USER} \
+ --make-pidfile --pidfile /var/run/${RC_SVCNAME}.pid \
+ --exec /usr/bin/${RC_SVCNAME} --background -- \
+ -c ${XROOTD_CONF} -l ${XROOTD_LOGDIR}/${RC_SVCNAME}.log \
+ ${CMSD_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Cluster Management Service daemon"
+ start-stop-daemon --stop --quiet \
+ --pidfile /var/run/${RC_SVCNAME}.pid \
+ --exec /usr/bin/${RC_SVCNAME}
+ eend $?
+}
diff --git a/net-libs/xrootd/files/frm_purged.initd b/net-libs/xrootd/files/frm_purged.initd
new file mode 100644
index 000000000000..14741ef498ac
--- /dev/null
+++ b/net-libs/xrootd/files/frm_purged.initd
@@ -0,0 +1,34 @@
+#!/sbin/openrc-run
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+. /etc/conf.d/xrootd
+
+depend() {
+ need net
+ use logger dns
+ provide root-file-server
+}
+
+start_pre() {
+ checkpath -q -d -m 0755 -o xrootd:xrootd /var/run/spool
+ checkpath -q -d -m 0755 -o xrootd:xrootd /var/run/xrootd
+}
+
+start() {
+ ebegin "Starting File Residency Manager purge daemon"
+ start-stop-daemon --start --quiet --user ${XROOTD_USER} \
+ --make-pidfile --pidfile /var/run/${RC_SVCNAME}.pid \
+ --exec /usr/bin/${RC_SVCNAME} --background -- \
+ -c ${XROOTD_CONF} -l ${XROOTD_LOGDIR}/${RC_SVCNAME}.log \
+ ${FRM_PURGED_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping File Residency Manager purge daemon"
+ start-stop-daemon --stop --quiet \
+ --pidfile /var/run/${RC_SVCNAME}.pid \
+ --exec /usr/bin/${RC_SVCNAME}
+ eend $?
+}
diff --git a/net-libs/xrootd/files/frm_xfrd.initd b/net-libs/xrootd/files/frm_xfrd.initd
new file mode 100644
index 000000000000..37272d2a5872
--- /dev/null
+++ b/net-libs/xrootd/files/frm_xfrd.initd
@@ -0,0 +1,34 @@
+#!/sbin/openrc-run
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+. /etc/conf.d/xrootd
+
+depend() {
+ need net
+ use logger dns
+ provide root-file-server
+}
+
+start_pre() {
+ checkpath -q -d -m 0755 -o xrootd:xrootd /var/run/spool
+ checkpath -q -d -m 0755 -o xrootd:xrootd /var/run/xrootd
+}
+
+start() {
+ ebegin "Starting File Residency Manager transfer daemon"
+ start-stop-daemon --start --quiet --user ${XROOTD_USER} \
+ --make-pidfile --pidfile /var/run/${RC_SVCNAME}.pid \
+ --exec /usr/bin/${RC_SVCNAME} --background -- \
+ -c ${XROOTD_CONF} -l ${XROOTD_LOGDIR}/${RC_SVCNAME}.log \
+ ${FRM_XFRD_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping File Residency Manager transfer daemon"
+ start-stop-daemon --stop --quiet \
+ --pidfile /var/run/${RC_SVCNAME}.pid \
+ --exec /usr/bin/${RC_SVCNAME}
+ eend $?
+}
diff --git a/net-libs/xrootd/files/xrootd-no-werror.patch b/net-libs/xrootd/files/xrootd-no-werror.patch
new file mode 100644
index 000000000000..b8010b777e39
--- /dev/null
+++ b/net-libs/xrootd/files/xrootd-no-werror.patch
@@ -0,0 +1,11 @@
+--- a/cmake/XRootDOSDefs.cmake
++++ b/cmake/XRootDOSDefs.cmake
+@@ -15,7 +15,7 @@
+ # GCC
+ #-------------------------------------------------------------------------------
+ if( CMAKE_COMPILER_IS_GNUCXX )
+- set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Werror" )
++ set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra" )
+ set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unused-parameter" )
+ # gcc 4.1 is retarded
+ execute_process( COMMAND ${CMAKE_C_COMPILER} -dumpversion
diff --git a/net-libs/xrootd/files/xrootd.confd b/net-libs/xrootd/files/xrootd.confd
new file mode 100644
index 000000000000..0e847e53e69c
--- /dev/null
+++ b/net-libs/xrootd/files/xrootd.confd
@@ -0,0 +1,21 @@
+# conf.d file for xroot, cmsd, frm_purged, frm_xfrd daemons
+
+# User to run as, please note that:
+# 1) daemons will refuse to run as root;
+# 2) several dirs must be created with an appropriate permissions
+# and ownership, so be careful when changing default 'xrootd' user.
+XROOTD_USER="xrootd"
+
+# Configuration file MUST be the same for all four daemons.
+# See /etc/xrootd for available simple defaults.
+XROOTD_CONF="/etc/xrootd/xrootd-clustered.cfg"
+
+# Logdir for all daemons
+XROOTD_LOGDIR="/var/log/xrootd"
+
+# Additional options for each daemon, please refer to their
+# documentation for details
+XROOTD_OPTS=""
+CMSD_OPTS=""
+FRM_PURGED=""
+FRM_XFRD=""
diff --git a/net-libs/xrootd/files/xrootd.initd b/net-libs/xrootd/files/xrootd.initd
new file mode 100644
index 000000000000..c3adf500bf3b
--- /dev/null
+++ b/net-libs/xrootd/files/xrootd.initd
@@ -0,0 +1,32 @@
+#!/sbin/openrc-run
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ need net
+ use logger dns
+ provide root-file-server
+}
+
+start_pre() {
+ checkpath -q -d -m 0755 -o xrootd:xrootd /var/run/spool
+ checkpath -q -d -m 0755 -o xrootd:xrootd /var/run/xrootd
+}
+
+start() {
+ ebegin "Starting extended ROOTD file server"
+ start-stop-daemon --start --quiet --user ${XROOTD_USER} \
+ --make-pidfile --pidfile /var/run/${RC_SVCNAME}.pid \
+ --exec /usr/bin/${RC_SVCNAME} --background -- \
+ -c ${XROOTD_CONF} -l ${XROOTD_LOGDIR}/${RC_SVCNAME}.log \
+ ${XROOTD_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping extended ROOTD file server"
+ start-stop-daemon --stop --quiet \
+ --pidfile /var/run/${RC_SVCNAME}.pid \
+ --exec /usr/bin/${RC_SVCNAME}
+ eend $?
+}